Subject: bug#16542: 24.3.50; When finding a file via a bookmark, that file is not part of file-name-history

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Jan 2014 08:58:08 -0500

> With two history variables and a way to access them separately or
> together (e.g. depending on a toggle command in the minibuffer?), the

Yes, the "somehow" part of my suggestion is the thorny part.
I was thinking of something more transparent.  Where you basically use
both lists at the same time, but "give preference" to the elements that
appear in the minibuffer history over the visited files history.

        Stefan

PS: And no, I don't know concretely what "give preference" should mean here.